Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.util
Class MathUtil

    java.lang.Object
      ee.ut.ga.util.MathUtil

public class MathUtil
extends java.lang.Object

Constructor Summary
`MathUtil()`

Method Summary
`static java.math.BigDecimal` | `combination(java.math.BigDecimal n, java.math.BigDecimal r)` Computes combination without repetition: C^r[n].
`static java.math.BigDecimal` | `factorial(java.math.BigDecimal x)` Computes factorial: x!
`static java.math.BigDecimal` | `pValue(java.math.BigDecimal good, java.math.BigDecimal goodAll, java.math.BigDecimal bad, java.math.BigDecimal badAll)` Computes p-value (calculation of p-value is reversed)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MathUtil

    public MathUtil()

Method Detail

### pValue

    public static java.math.BigDecimal pValue(java.math.BigDecimal good,
                                              java.math.BigDecimal goodAll,
                                              java.math.BigDecimal bad,
                                              java.math.BigDecimal badAll)

  Computes p-value (calculation of p-value is reversed)

### combination

    public static java.math.BigDecimal combination(java.math.BigDecimal n,
                                                   java.math.BigDecimal r)
                                            throws java.lang.IllegalArgumentException

  Computes combination without repetition: C^r[n].

  Throws:
    `java.lang.IllegalArgumentException`

### factorial

    public static java.math.BigDecimal factorial(java.math.BigDecimal x)
                                          throws java.lang.IllegalArgumentException

  Computes factorial: x!

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD